
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include <gnome.h>
#include <glib/gi18n.h>
#include <gdk/gdkx.h>
#include <glade/glade.h>
#include <gconf/gconf-client.h>


#define GLADE_XML_FILE	"gnome-mount-properties.glade"

static GladeXML *xml = NULL;

static GtkWidget *dialog = NULL;

/*
 * close_cb - gtk call-back on the "Close" button
 */
static void
close_cb (GtkWidget *dialog,
	  int response __attribute__((__unused__)),
	  gpointer user_data __attribute__((__unused__)))
{
	gtk_widget_destroy (dialog);
	gtk_main_quit ();
}

int
main (int argc, char **argv)
{
	static gchar *opt_hal_udi = NULL;
        GError *error = NULL;
        GOptionContext *context = NULL;
        static GOptionEntry entries[] =
                {
                        { "hal-udi", 'h', 0, G_OPTION_ARG_STRING, &opt_hal_udi, "Mount by HAL UDI", NULL},
                        { NULL, 0, 0, 0, NULL, NULL, NULL }
                };

	bindtextdomain (PACKAGE, GNOMELOCALEDIR);
	bind_textdomain_codeset (PACKAGE, "UTF-8");
	textdomain (PACKAGE);

        context = g_option_context_new ("- GNOME mount properties");
        g_option_context_add_main_entries (context, entries, PACKAGE);
        g_option_context_add_group (context, gtk_get_option_group (TRUE));
        g_option_context_parse (context, &argc, &argv, &error);

	gnome_program_init (PACKAGE, VERSION, LIBGNOMEUI_MODULE,
			    argc, argv, GNOME_PARAM_NONE);


	xml = glade_xml_new (GLADEDIR "/" GLADE_XML_FILE, NULL, PACKAGE);

	dialog = glade_xml_get_widget (xml, "dialog1");
	g_signal_connect (dialog, "response", G_CALLBACK (close_cb), NULL);
	gtk_widget_show_all (dialog);	


	gtk_main ();

}
